from app.core.crud import CRUDBase
from app.models.cleaning import ProxyConfig, ProxyProvider
from app.schemas.proxy import ProxyConfigCreate, ProxyConfigUpdate
from app.schemas.proxy_provider import ProxyProviderCreate, ProxyProviderUpdate


class ProxyController(CRUDBase[ProxyConfig, ProxyConfigCreate, ProxyConfigUpdate]):
    def __init__(self):
        super().__init__(model=ProxyConfig)


proxy_controller = ProxyController()


class ProxyProviderController(CRUDBase[ProxyProvider, ProxyProviderCreate, ProxyProviderUpdate]):
    def __init__(self):
        super().__init__(model=ProxyProvider)


proxy_provider_controller = ProxyProviderController()
